import { LinkRenderer } from './link-renderer.model';
import { ExternalLink } from './models/external-link.model';
import * as i0 from "@angular/core";
/**
 * Link renderer for string values, where the value is interpreted as the URL to an external resource. The renderer will set the browser
 * target for the link to `_blank` (a new window/tab).
 */
export declare class StringLinkRenderer extends LinkRenderer<string> {
    /** @inheritdoc */
    supports(link: unknown): link is string;
    /** @inheritdoc */
    render(link: string, targetElement: HTMLAnchorElement): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StringLinkRenderer, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StringLinkRenderer>;
}
/**
 * Link renderer that supports rendering of `ExternalLink` objects.
 */
export declare class ExternalLinkObjectLinkRenderer extends LinkRenderer<ExternalLink> {
    /** @inheritdoc */
    supports(link: unknown): link is ExternalLink;
    /** @inheritdoc */
    render(link: ExternalLink, targetElement: HTMLAnchorElement): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExternalLinkObjectLinkRenderer, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ExternalLinkObjectLinkRenderer>;
}
