import { TranslationMarkupRendererFactory } from '../translation-markup-renderer-factory';
import { TranslationMarkupRenderer } from '../translation-markup-renderer.model';
import { BlockTranspiler } from './block-transpiler';
import * as i0 from "@angular/core";
/**
 * Transpiler that parses bold tags (`[b]...[/b]`) and creates a renderer that wraps the content in an HTML bold element (`<b>...</b>`).
 */
export declare class BoldTextTranspiler extends BlockTranspiler {
    /** Renderer factory which will be used for creating the HTML bold element renderer. */
    private readonly rendererFactory;
    /**
     * Creates a `BoldTextTranspiler` instance that uses the specified renderer factory.
     */
    constructor(
    /** Renderer factory which will be used for creating the HTML bold element renderer. */
    rendererFactory: TranslationMarkupRendererFactory);
    /** @inheritdoc */
    protected createRenderer(childRenderers: TranslationMarkupRenderer[]): TranslationMarkupRenderer;
    static ɵfac: i0.ɵɵFactoryDeclaration<BoldTextTranspiler, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BoldTextTranspiler>;
}
