import { TranslationMarkupRendererFactory } from '../translation-markup-renderer-factory';
import { TranslationMarkupRenderer } from '../translation-markup-renderer.model';
import { BlockTranspiler } from './block-transpiler';
import * as i0 from "@angular/core";
/**
 * Transpiler that parses italic tags (`[i]...[/i]`) and creates a renderer that wraps the content in an HTML italic element (`<i>...</i>`).
 */
export declare class ItalicTextTranspiler extends BlockTranspiler {
    /** Renderer factory which will be used for creating the HTML italic element renderer. */
    private readonly rendererFactory;
    /**
     * Creates an `ItalicTextTranspiler` instance that uses the specified renderer factory.
     */
    constructor(
    /** Renderer factory which will be used for creating the HTML italic element renderer. */
    rendererFactory: TranslationMarkupRendererFactory);
    /** @inheritdoc */
    protected createRenderer(childRenderers: TranslationMarkupRenderer[]): TranslationMarkupRenderer;
    static ɵfac: i0.ɵɵFactoryDeclaration<ItalicTextTranspiler, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ItalicTextTranspiler>;
}
