import { TranslationMarkupRendererFactory } from '../translation-markup-renderer-factory';
import { TokenizeResult, TranslationMarkupTranspiler, TranslationMarkupTranspilerContext, TranspileResult } from '../translation-markup-transpiler.model';
import * as i0 from "@angular/core";
/**
 * Transpiler used to capture literal translation texts. This transpiler will always be used as the last transpiler during the tokenization
 * and transpilation process, so it can catch any character that would otherwise not be transpiled.
 */
export declare class StringLiteralTranspiler implements TranslationMarkupTranspiler {
    /** Renderer factory used for creating the renderer that renders the literal string text in a text node. */
    private readonly rendererFactory;
    /**
     * Creates a new `StringLiteralTranspiler` that uses the specified renderer factory.
     */
    constructor(
    /** Renderer factory used for creating the renderer that renders the literal string text in a text node. */
    rendererFactory: TranslationMarkupRendererFactory);
    /** @inheritdoc */
    tokenize(translation: string, offset: number): TokenizeResult | undefined;
    /** @inheritdoc */
    transpile(start: number, { tokens }: TranslationMarkupTranspilerContext): TranspileResult | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<StringLiteralTranspiler, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StringLiteralTranspiler>;
}
